Packet Tracer 6.2 no Arch Linux 64 KDE

Publicado por Emanuel em 03/12/2015

[ Hits: 3.871 ]

 


Packet Tracer 6.2 no Arch Linux 64 KDE



Dica pra quem está tendo dificuldades em instalar o Packet Tracer no Arch Linux 64 KDE.

Infelizmente o Packet Tracer só tem versão para sistemas de 32 bits. Para rodarmos o programa em sistemas 64 precisamos instalar algumas libs.

Bom, vamos direto ao ponto.

Após baixar o Packet Tracer 6.2 para Linux, se você verificar o arquivo install ele testa se sua arquitetura é 32 ou 64 bits. Caso seja 64 ele faz a instalação dos seguintes pacotes:

if [ "$INSTALL_32BIT_LIBRARY" = true ]; then
   echo "Installing 32 bit libraries for Packet Tracer."
   dpkg --add-architecture i386
   apt-get -y install lib32z1
   apt-get -y install lib32ncurses5
   apt-get -y install lib32bz2-1.0
   apt-get -y install libgcc1:i386
   apt-get -y install libstdc++6:i386
   apt-get -y install libssl-dev:i386
   apt-get -y install libqtwebkit4:i386
   apt-get -y install libqt4-scripttools:i386

Notem que ele usa o apt-get usado em distribuições como Ubuntu e Debian.

No Arch Linux são necessários as seguintes bibliotecas. No terminal digite:

sudo pacman -S lib32-openssl lib32-qt4 lib32-libpng lib32-qt5
$ sudo pacman -S lib32-openssl lib32-qt4 lib32-libpng


No terminal navegue até a pasta em que está o arquivo baixado. Quem baixou direto do netacad ele vai estar exatamente como abaixo.

Descompacte o arquivo Cisco Packet Tracer 6.2.tar.gz. No terminal digite:

tar zxfv Cisco\ Packet\ Tracer\ 6.2.tar.gz

Entre na pasta descompactada contendo os arquivos de instalação do Packet Tracer. Note que o nome pode variar a depender de onde você baixou o arquivo.

cd PacketTracer62Student

Se você listar o conteúdo do diretório verá algo parecido como abaixo:

art
backgrounds
bin
eula.txt
extensions
help
install
LANGUAGES
lib
saves
set_ptenv.sh
sounds
templates
tpl.linguist
tpl.packettracer


Instale o programa. No terminal digite:

# ./install

A seguinte mensagem aparecerá:

Welcome to Cisco Packet Tracer 6.2 Installation

Read the following End User License Agreement "EULA" carefully. You must accept the terms of this EULA to install and use Cisco Packet Tracer.
Press the Enter key to read the EULA.


Pressione enter e leia os termos (caso julgue necessário). No final escolha y para aceitar e iniciar a instalação do programa.

Algumas mensagens de erro devem ocorrer visto que ele tenta usar o apt-get para instalar as bibliotecas para sistemas 64. Você não deve se preocupar visto que já instalamos anteriormente com o pacman essas bibliotecas.

Pronto. Tudo deve funcionar agora. Verifique se o lançador foi corretamente configurado no seu menu de programas. Ou no terminal digite:

packettracer

Enjoy!!!!

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Projeto Root - Simulando redes no Packet Tracer

Projeto Root - Servidor de DHCP

Verificando ou alterando propriedades da placa de rede com mii-tool e ethtool

Acessar compartilhamento de pastas remotas Windows facilmente pelo IP

Instalação Zabbix 4.2 no Ubuntu Server LTS 18.04.2

  

Comentários
[1] Comentário enviado por rootgerr em 03/12/2015 - 21:13h

Ou para aqueles que como eu são mais preguiçosos, podem baixar o snapshot do AUR através do link:
https://aur.archlinux.org/packages/packettracer
descompactar, entrar na pasta, e dar um makepkg -sci que as dependencias necessárias serão instaladas automaticamente, e ao final da compilação instalar normalmente com o pacman


[2] Comentário enviado por manel_ em 04/12/2015 - 13:55h

Obrigado pelo complemento rootgerr.

Você preguiçoso né ? kkkkkkk

Linux User #555844

[3] Comentário enviado por rootgerr em 04/12/2015 - 20:34h


[2] Comentário enviado por worm_manel em 04/12/2015 - 13:55h

Obrigado pelo complemento rootgerr.

Você preguiçoso né ? kkkkkkk

Linux User #555844


kkkkk



Contribuir com comentário